[Prev: LABELSTYLES] | [Resources][TOC] | [Next: LASTPGLINK]

# LANG

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_LANG=`locale

Element

  `<LANG>`
  locale
  `</LANG>`

Command-line Option

  `-lang` locale

## Description

LANG sets the locale. Setting the locale affects the following MHonArc operations:

- Message sorting: Locale properties for string collation are applied when sorting messages by subject or author.

- Resource file loading: Locale-specific resource files will be checked for. See RCFILE for more information.

- POSIX date/time formating: If POSIXSTRFTIME is enabled, locale-specific formatting will be applied. See your system's `strftime()` manual page for more information.

The basic format for specifying a locale is:

    language_country.codeset

Where `codeset` and `country` are optional. The `language` and `country` are short codes defined by the standards ISO 639 (language) and ISO 3166 (country), The `codeset` represents a specific character encoding, like ISO8859-1. You will need to consult your system documentation for what locales, and their formats, are supported.

NOTE: | On Unix-based system, the command `locale` may be available to get list of all supported locales for you system.

## Default Setting

The value of the `LC_ALL` or `LANG` environment variables.

## Resource Variables

N/A

## Examples

LANG gives you the ability to create locale-specific archives on a single system. For example, let's say the you manage several English-based archives and the default locale for your system is `en_US`. However, you would now like to host a Japanese-based archive on the same system.

For the Japanese archive, you may want to set LANG as follows:

    <Lang>
    ja_JP
    </Lang>

If you plan on using a specific codeset (see TEXTENCODE and CHARSETCONVERTERS) you should specify the codeset. For example, if the archives will be in UTF-8, you should use:

    <Lang>
    ja_JP.utf8
    </Lang>

## Version

2.6.7

## See Also

CHARSETCONVERTERS, RCFILE, TEXTENCODE

perllocale manual page.

[Prev: LABELSTYLES] | [Resources][TOC] | [Next: LASTPGLINK]